Skip to main content
GET
/
customer
/
v1
/
licenses
/
{license}
Retrieve a Single License (v1)
curl --request GET \
  --url https://orbitflare.com/api/customer/v1/licenses/{license} \
  --header 'X-ORBIT-KEY: <api-key>'
import requests

url = "https://orbitflare.com/api/customer/v1/licenses/{license}"

headers = {"X-ORBIT-KEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-ORBIT-KEY': '<api-key>'}};

fetch('https://orbitflare.com/api/customer/v1/licenses/{license}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "error": false,
  "license": {
    "license_key": "<string>",
    "issued_date": "2023-11-07T05:31:56Z",
    "renewal_date": "2023-11-07T05:31:56Z",
    "status": "<string>",
    "allowed_locations": [
      {
        "id": 123,
        "name": "<string>",
        "urls": [
          "<string>"
        ]
      }
    ],
    "product_name": "<string>"
  },
  "message": "<string>"
}
Deprecated. This endpoint is part of Customer API v1. Use Customer API v2 instead.

Authorizations

X-ORBIT-KEY
string
header
required

API key for v1 and v2 (when not using Bearer token)

Path Parameters

license
string
required

The license key or license identifier.

Response

License retrieved successfully.

error
boolean
default:false
license
object
message
string